Package ru.bitel.bgbilling.kernel.wifi.common.event

# Class WiFiActivateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.wifi.common.event.WiFiActivateEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class WiFiActivateEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WiFiActivateEvent(int moduleId, Map<String,String> params)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  `Map<String,String>`
  `getParams()`
  `String`
  `getPayUrl()`
  `String`
  `getSuccessMessage()`
  `void`
  `setError(String error)`
  `void`
  `setPayUrl(String payUrl)`
  `void`
  `setSuccessMessage(String successMessage)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WiFiActivateEvent

    public WiFiActivateEvent(int moduleId, Map<String,String> params)

- ## Method Details

  - ### getPayUrl

    public String getPayUrl()

  - ### setPayUrl

    public void setPayUrl(String payUrl)

  - ### getError

    public String getError()
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### setError

    public void setError(String error)
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### getSuccessMessage

    public String getSuccessMessage()

  - ### setSuccessMessage

    public void setSuccessMessage(String successMessage)

  - ### getParams

    public Map<String,String> getParams()